Results 1 to 4 of 4

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3GS not jailedbreak on 3.0 want to go to 3.0.1 what to do?

  1. #1
    Default 3GS not jailedbreak on 3.0 want to go to 3.0.1 what to do?
    hi everyone,

    I am new to iphone world (I love it so far!!)...

    I have a 3GS iphone running 3.0 not jail-breaked (yet).... what I want is to upgrade it to 3.0.1 and jailbreak it.. I tried to upgrade it first with iTunes but it gives me the following error

    the iphone "bakry's 3gs" coulndt be updated. this device isn't eligible for the requested build.

    then I followed the saurik method by directing iTunes to saurik' server instead of apple (adding the entry in the host file)... then tried to upgrade to 3.0.1 (shift update in iTunes then choose my ipsw file) I got the following error:

    the iphone "bakry's 3gs" couldn't be updated an unknown error occured (3002)

    even when I tried to upgrade it by using the restore method (shift restore in iTunes then select my ipsw file) I got the same error:

    the iphone "bakry's 3gs" couldn't be restored an unknown error occured (3002)


    please help, all I want is to upgrade to 3.0.1 and jailbreak it on 3.0.1... what to do ???

    besides, how can I know if my (ECID SHSH) were successfully stored onfile... remember I did what saurik article described by directing my iTunes to his server instead of apple and tried to restore but I got the unknown error described above

    please help

    thanks in advance
    bakry

  2. #2
    If your phone wasn't previously jailbroken, there is no way for you to be able to go to 3.0.1...Right now your 2 options are to either stay at 3.0 or update to 3.1. If you stay at 3.0 you can jailbreak and unlock, if you go to 3.1 you will have to have a stock phone until jailbreak tools for 3G[S] 3.1 are released, and you will lose unlocking capabilities.

    I think in order for saurik's server to hash your phone through iTunes you have to actually upgrade to 3.1 while pointing gs.apple.com to his server in your hosts file. I'm really not sure on that though, as I was lucky enough to get a 3.0 hash on file in time. If you don't want to upgrade to 3.1, I would suggest just waiting for the jailbreak tools to be released, then use Cydia to hash your phone.

  3. The Following User Says Thank You to L00i3 For This Useful Post:

    bakry (2009-09-22)

  4. #3
    thanks man for ur clarification, but I have one more question, do u suggest to jailbreak my phone on 3.0 and wait for 3.1 (because I need to jailbreak my phone, I can't live without cydia apps: lol)...

    Regards
    Bakry

  5. #4
    I would suggest you stick with 3.0 for now. From what I understand the *only* difference between 3.0 and 3.0.1 is a bugfix in commcenter to fix the SMS exploit (An exploit that nobody has seen being used still), so you're safe on it.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •